Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 95773 - Warnings in log by project's creation
Warnings in log by project's creation
Status: RESOLVED DUPLICATE of bug 97517
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-16 09:57 UTC by Roman Mostyka
Modified: 2007-11-05 13:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2007-02-16 09:57:25 UTC
After project's creation I found some warning in message.log:

WARNING [org.netbeans.editor.DrawLayerList]: Using deprecated DrawLayer:
java-layer z-order: 1010 class:
org.netbeans.editor.ext.java.JavaDrawLayerFactory$JavaLayer Layer class
org.netbeans.editor.ext.java.JavaDrawLayerFactory$JavaLayer, name='java-layer
WARNING [org.netbeans.editor.DrawLayerList]: Using deprecated DrawLayer:
jsp-el-layer z-order: 1010 class:
org.netbeans.modules.web.core.syntax.deprecated.ELDrawLayerFactory$ELLayer Layer
class
org.netbeans.modules.web.core.syntax.deprecated.ELDrawLayerFactory$ELLayer,
name='jsp-el-layer
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/css/css_master.css
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /dojo.js
WARNING [org.netbeans.ProxyClassLoader]: You are trying to access file: dojo.js
from the default package. Please see
http://www.netbeans.org/download/dev/javadoc/org-openide-modules/org/openide/modules/doc-files/classpath.html#default_package
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /json.js
WARNING [org.netbeans.ProxyClassLoader]: You are trying to access file: json.js
from the default package. Please see
http://www.netbeans.org/download/dev/javadoc/org-openide-modules/org/openide/modules/doc-files/classpath.html#default_package
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /prototype.js
WARNING [org.netbeans.ProxyClassLoader]: You are trying to access file:
prototype.js from the default package. Please see
http://www.netbeans.org/download/dev/javadoc/org-openide-modules/org/openide/modules/doc-files/classpath.html#default_package
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /META-INF/com_sun_faces_ajax.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/formElements.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/widget
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/addremove.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/calendar.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/javascript/commonTasksSection.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/editableList.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/fileChooser.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/orderablelist.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/scheduler.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/table.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/tree.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/wizard.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/widget/widget.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/widget/button.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/javascript/widget/progressBar.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/javascript/widget/table2.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/javascript/widget/table2RowGroup.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/javascript/widget/jsfx/progressBar.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/javascript/widget/jsfx/table2RowGroup.js
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/templates/button.html
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/templates/progressBar.html
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/images/progressBar/asynch-1F.gif
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/images/progressBar/asynch-1F.gif
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/images/progressBar/asynch-1F.gif
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/images/progressBar/asynch-1F.gif
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s): /com/sun/webui/jsf/suntheme/templates/table2.html
WARNING [org.netbeans.ProxyClassLoader]: Should not use initial / in calls to
ClassLoader.getResource(s):
/com/sun/webui/jsf/suntheme/templates/table2RowGroup.html
Comment 1 _ potingwu 2007-07-16 23:13:56 UTC
Most of the warning are coming from /com/sun/webui/jsf/suntheme.
Comment 2 Winston Prakash 2007-07-16 23:55:48 UTC
Matt, the fix is to remove the leading / in the properties file
Comment 3 Pegah Sarram 2007-08-17 22:34:51 UTC
The warning messages about "Should not use initial / in calls to ClassLoader.getResource(s):*" no longer appear in the
message log after creating a VW project. I don't see any of those warnings. Marking WORKSFORME.
Comment 4 Lark Fitzgerald 2007-08-20 20:55:45 UTC
Yes, those errors are gone but The first error in the log is still there:

WARNING [org.netbeans.editor.DrawLayerList]: Using deprecated DrawLayer: highlig
ht-layer z-order: 3000 class: org.netbeans.modules.editor.highlights.HighlightLa
yer Layer class org.netbeans.modules.editor.highlights.HighlightLayer, name='hig
hlight-layer
WARNING [org.netbeans.editor.DrawLayerList]: Using deprecated DrawLayer: hyperli
nk-layer z-order: 1100 class: org.netbeans.lib.editor.hyperlink.HyperlinkOperati
on$HyperlinkLayer Layer class org.netbeans.lib.editor.hyperlink.HyperlinkOperati
on$HyperlinkLayer, name='hyperlink-layer

Tested using:
Product Version: NetBeans 6 IDE Dev (Build 200708200000)
Java: 1.5.0_12; Java HotSpot(TM) Client VM 1.5.0_12-b04 
System: Windows Vista version 6.0 running on x86; Cp1252; en_US (nb)
Glassfish: 58b
Comment 5 Pegah Sarram 2007-08-21 18:52:32 UTC
That warning belongs to the editor. Reassigning...
Comment 6 Peter Zavadsky 2007-08-22 01:19:18 UTC
Those belong to NB editor
Comment 7 Vitezslav Stejskal 2007-08-22 11:49:47 UTC
Yes, there are still several old DrawLayers that need rewriting. The warning is harmless, the new highlighting
infrastructure is backwards compatible and the old DrawLayers work fine. We would like (time permitting) to rewrite them
for nb6.

*** This issue has been marked as a duplicate of 97517 ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo